# Interface AssemblyPfvManagerInterface

#### Hierarchy

- PfvManagerFactoryConfigInterface<undefined>
  - AssemblyPfvManagerInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvManagerFactory.tsx:33

#####
Index

### Properties

additionalConfig
boardConfigContainer
instanceSequenceConfig?
rcsbFvContainer
rcsbFvDivId
stateManager
useOperatorsFlag?

### Methods

pfvChangeCallback

## Properties

### additionalConfig

additionalConfig: undefined | RcsbFvAdditionalConfig & {
operatorChangeCallback?: ((operatorInfo) => void);
}

Inherited from PfvManagerFactoryConfigInterface.additionalConfig

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:18

### boardConfigContainer

boardConfigContainer: DataContainer<Partial<RcsbFvBoardConfigInterface>>

Inherited from PfvManagerFactoryConfigInterface.boardConfigContainer

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:16

### `Optional` instanceSequenceConfig

instanceSequenceConfig?: InstanceSequenceConfig

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvManagerFactory.tsx:35

### rcsbFvContainer

rcsbFvContainer: DataContainer<RcsbFvModulePublicInterface<{}, {}, {}, {}>>

Inherited from PfvManagerFactoryConfigInterface.rcsbFvContainer

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:14

### rcsbFvDivId

rcsbFvDivId: string

Inherited from PfvManagerFactoryConfigInterface.rcsbFvDivId

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:13

### stateManager

stateManager: RcsbFvStateInterface

Inherited from PfvManagerFactoryConfigInterface.stateManager

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:15

### `Optional` useOperatorsFlag

useOperatorsFlag?: boolean

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryImplementation/AssemblyPfvManagerFactory.tsx:34

## Methods

### pfvChangeCallback

- pfvChangeCallback(context): Promise<void>

- #### Parameters

  - ##### context: undefined

  #### Returns Promise<void>

  Inherited from PfvManagerFactoryConfigInterface.pfvChangeCallback

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:17

Generated using TypeDoc